<!DOCTYPE html>
<html>
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1.0" charset="utf-8">
	<title>Calculatrice</title>
	<link rel="stylesheet" href="calculatrice.css">
</head>
<body>
	<main><!-- bouton dans les formulaires, par défaut "submit" donc envoie le résultat et recharche la page. pour que le résultat reste afficher type"button"-->
		<h1>Calculatrice</h1>
			<section>
					<input class="nombre" id="case1"><input class="nb" id="case2">
					<button class="ajout" id="add">+</button>
					<button class="ms" id="supp">-</button>			
					<button class="mul" id="multiplier">x</button>
					<button class="div" id="diviser">/</button>
					<input class="res" id="resultat">
			</section>			
	<script type="text/javascript">
	
		var nb1=document.getElementById("case1");
		var nb2=document.getElementById("case2");

		document.getElementById("add").addEventListener("click",plus);
		document.getElementById("supp").addEventListener("click",moins);
		document.getElementById("multiplier").addEventListener("click",multiplier);
		document.getElementById("diviser").addEventListener("click",diviser);

		function plus(){
			document.getElementById("resultat").value = parseInt(nb1.value)+parseInt(nb2.value);
		}

		function moins(){
			document.getElementById("resultat").value = parseInt(nb1.value)-parseInt(nb2.value);
		}

		function multiplier(){
			document.getElementById("resultat").value = parseInt(nb1.value)*parseInt(nb2.value);
		}

		function diviser(){
			document.getElementById("resultat").value = parseInt(nb1.value)/parseInt(nb2.value);
		}

	</script>

	</main>

</body>
</html>


<!-- correction jean


<script>
	var ch1 = document.getElementById("ch1"), ch2 = document.getElementById("ch2"), o = document.getElementById("resultat");
	document.getElementById("plus").addEventListener("click", fonction() {
		o.value = parseFloat(ch1.value) + parseFloat(ch2.value);
	});

	******** les fonctions sont définies à la volée, car on en a besoin q'une fois *********

	cela revient au meme que d'écrire :
	var carre = fonction (x) {
	return x * x;
	}
	-->